:userdoc.
:h1 res=001 name=using
    x=left y=bottom width=100% height=100%.
Using Icon Themes
:p.The eComStation Icon Themes applet allows you to choose different
styles, or &osq.themes&csq., for the icons that appear on your desktop.

:p.The :hp2.Available themes:ehp2. list-box allows you to select from amongst
the different icon themes available.

:p.The first item in this list is &osq.[current]&csq., which shows the icon
theme which is currently in use on your desktop.  The remaining items in the
list are the various icon themes which can be applied.

:p.The &osq.Preview&csq. pane in the lower half of the window shows a
sampling of icons from the currently-selected theme.

:p.To apply the selected theme to your system, use the :hp2.Apply:ehp2.
button, or choose :hp2.Theme -> Apply:ehp2. from the menu bar.

:p.You will need to reboot in order for the new icon theme to take effect.
Following the reboot, the desktop icons will be refreshed with the new
theme.
:p.

:h1 res=020 name=settings
    x=left y=bottom width=100% height=100%.
Icon Theme Settings
:p.The :hp2.Settings:ehp2. dialog allows you to alter the behaviour of the
Icon Themes applet to accomodate systems with non-standard configurations.

:nt.You should not normally need to change any of the settings on this dialog.
:ent.

:p.The :hp2.Current language:ehp2. field shows the language which Icon Themes
is configured to use.  This is normally based on the system language settings
(specifically the %LANG% environment variable), and cannot be directly
specified from within the program.  However, it is possible to force Icon Themes
to use a particular language by dragging and dropping a locale from the desktop
:hp1.Locale:ehp1. object onto the main Icon Themes window.  Doing this will
cause Icon Themes to permanently use the language indicated by the dropped
locale name.  (In this case, a :hp2.Reset:ehp2. button will be shown next to
the &osq.Current language&csq. field, which you can use to clear the permanent
language setting and restore the default behaviour.)
:nt.Icon Themes will attempt to use the indicated language for both user
interface text and online help.  However, if the necessary language files for
that language are not installed, Icon Themes will fall back to using English,
regardless of the language shown here.:ent.

:p.The :hp2.Desktop layout:ehp2. option lets you specify the layout style used
by the icons on your desktop.  This option does not alter the desktop layout;
it is used to indicate the current layout being used by your system so that the
icon replacer can set the correct icons for various objects.

:p.The :hp2.DLL locations:ehp2. panel allows you to specify the locations of
certain system DLLs used by Icon Themes.  This is only necessary if your
system is using one or more of these DLLs from a non-standard location.
:hp8.Do not make any changes to these settings unless you are sure it is
necessary for your system.:ehp8.

:p.Use the :hp2.Save:ehp2. button to apply and save your changes, or the
:hp2.Cancel:ehp2. button to close the dialog without saving any changes.

:p.

:h1 res=080 name=bugs
    x=left y=bottom width=100% height=100%.
Limitations
:p.The Icon Themes applet has the following limitations&colon.

:ul.
:li.A reboot is necessary in order for a new icon theme to take effect.
This is because several system DLLs must be re-loaded by the operating
system.
:li.Most icons for third-party desktop objects which have their own,
explicitly-set icons, are not affected by a change in icon theme.
:li.If you are using the high-resolution icon mode provided by WPS
extenders such as PNG Desktop/Sunny Icons or WPS Wizard, these will
not be affected by any change made with Icon Themes.  Changing such
high-resolution icons requires that you use the facilities provided
by the software in question.
:eul.
:p.

:h1 res=090 name=notices
    x=left y=bottom width=100% height=100%.
Notices
:p.The Icon Theme Manager is written by Alex Taylor
(alex@altsan.org), using :hp1.Watcom VX-REXX version 2.1d:ehp1..
:p.Icons for the &osq.eComStation Classic&csq. theme were designed by
Alessandro Cantatore (with additional icons by Alex Taylor).
:p.Icons for the &osq.Warp 4&csq., &osq.Warp Server&csq. and &osq.Warp 3&csq.
themes were designed by IBM and taken from their respective operating systems
(with additional icons added by Alex Taylor).
:p.Design credits for other included themes are as noted in the theme
descriptions.  Particular thanks go to David Graser for providing several
additional themes.
:p.The Icon Theme Manager uses the RESMGR utility by Martin Lafaix, and
the MREPLMOD.EXE utility by Alessandro Cantatore.
:p.Special thanks go to Alessandro Cantatore, Nick Morrow, and all members
of the eComStation Development Group.
:p.This program, Icon Theme Manager, and the bundled icon themes, are licensed
for use by Serenity Systems International on the eComStation platform.
:p.
:euserdoc.

